\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - STL Extensions for CGAL

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Generic Algorithms
STL Extensions for CGAL Reference

##

## Functions
OutputIterator | CGAL::copy_n (InputIterator first, Size n, OutputIterator result)
| Copies `n` items from an input iterator to an output iterator. More...
std::pair< ForwardIterator, ForwardIterator > | CGAL::min_max_element (ForwardIterator first, ForwardIterator last)
| Computes the minimal and the maximal element of a range. More...
std::pair< ForwardIterator, ForwardIterator > | CGAL::min_max_element (ForwardIterator first, ForwardIterator last, CompareMin comp_min, CompareMax comp_max)
| Computes the minimal and the maximal element of a range. More...
BidirectionalIterator | CGAL::predecessor (BidirectionalIterator it)
ForwardIterator | CGAL::successor (ForwardIterator it)
template<typename ForwardIterator >
Iterator | CGAL::cpp11::next (ForwardIterator it)
| The function returns the result of `operator++` on a `ForwardIterator`. More...
template<typename BidirectionalIterator >
Iterator | CGAL::cpp11::prev (BidirectionalIterator it)
| The function returns the result of `operator--` on a `BidirectionalIterator`. More...
template<class InputIterator , class Size , class OutputIterator >
OutputIterator | CGAL::cpp11::copy_n (InputIterator first, Size count, OutputIterator result)
| Copies `n` items from an input iterator to an output iterator. More...

## Function Documentation

template<class InputIterator , class Size , class OutputIterator >

OutputIterator CGAL::cpp11::copy_n | ( | InputIterator | first,
|  | Size | count,
|  | OutputIterator | result
| ) |  |

Copies `n` items from an input iterator to an output iterator.

Its exact behaviour is defined in Paragraph 25.3.1 of the C++ standard draft N3242.

Note
  This provides an implementation of the standard function `copy_n` from the C++0x standard. If `copy_n` is available in the `std::` namespace a using declaration is used, otherwise an alternative implementation from CGAL is used.

Deprecated:
  This function is deprecated, CGAL::cpp11::copy_n should be used instead.

Copies the first `n` items from `first` to `result`.

Returns
  the value of `result` after inserting the `n` items.

Note
  The STL release June 13, 1997, from SGI contains an equivalent function, but it is not part of the ISO standard.

See Also
  `CGAL::Counting_iterator<Iterator, Value>`

copies

`#include <CGAL/algorithm.h>`

template<typename ForwardIterator >

Iterator CGAL::cpp11::next | ( | ForwardIterator | it) |  |

The function returns the result of `operator++` on a `ForwardIterator`.

The exact behaviour is described in Paragraph 24.4.4 of the C++ standard draft N3242.

Note
  There is actually no function in namespace `CGAL::cpp11` with this name, but a using declaration which imports a function from another namespace. By order of priority: the one in namespace `std` is used (provided by C++0x), if not found, then the one in namespace `boost` is used.

See Also
  boost::next
  `CGAL::cpp11::prev()`

`#include <CGAL/algorithm.h>`

template<typename BidirectionalIterator >

Iterator CGAL::cpp11::prev | ( | BidirectionalIterator | it) |  |

The function returns the result of `operator--` on a `BidirectionalIterator`.

The exact behaviour is described in Paragraph 24.4.4 of the C++ standard draft N3242.

Note
  If C++0x is available the function `std::prev` is imported into the namespace `CGAL::cpp11`, otherwise `CGAL::cpp11::prev` is declared with the signature as given in Paragraph 24.4.4 of the ISO C++ Standard and forwarded to `boost::prior`.

`#include <CGAL/algorithm.h>`